Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support for Symfony 4 #247

Open
wants to merge 1 commit into
base: master
from

Conversation

@Nyholm
Copy link

commented Nov 18, 2017

#SymfonyConHackday2017

@ghost

ghost approved these changes Dec 12, 2017

@vincentchalamon
Copy link
Contributor

left a comment

This package requires nelmio/alice: ~2.0 which has a dependency on symfony/yaml: ^2.0||^3.0: this is incompatible with Symfony 4. To support it, you'll need to update nelmio/alice dependency to ^3.1

@Nek-

This comment has been minimized.

Copy link
Collaborator

commented Jan 9, 2018

Hello, upgrade to Symfony 4 is impossible ATM, indeed.

@stphane

This comment has been minimized.

Copy link

commented Jan 30, 2018

In the intent of upgrading our codebase to symfony 4, we have been facing a composer update rejection due to the improper "nelmio/alice" version requirement. Package constraint is set to ~2.0 but at least ^3.1 would satisfy SF4 dependency tree as stated by @vincentchalamon .
Now is there any chance for the updated composer.json to land on master soon ?
That would be really nice !
Thank you.

@pierredup

This comment has been minimized.

Copy link

commented Apr 10, 2018

See #249

@aitboudad

This comment has been minimized.

Copy link
Contributor

commented Apr 14, 2018

hi, you can use my fork until an official merge:

    "require-dev": {
        "knplabs/friendly-contexts": "@dev"
    },
    "repositories": [
      {
        "type": "vcs",
        "url": "https://github.com/aitboudad/FriendlyContexts.git"
      }
    ]
@Nek- Nek- referenced this pull request Apr 18, 2018
@yakobe

This comment has been minimized.

Copy link

commented Apr 18, 2018

It would be great to figure this out. I didn't know this PR existed so i created a ticket #250.
@aitboudad, could you create a PR and maybe your solution can be merged in?

@alexislefebvre alexislefebvre referenced this pull request May 8, 2018
@IgorTimoshenko

This comment has been minimized.

Copy link

commented Jan 11, 2019

Now is 2019, we need support for Symfony 4. Any news about it?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
8 participants
You can’t perform that action at this time.